Skip to content

Get Artist Metadata from Providers (Advanced)

POST
/api/metadata/search/artists
curl --request POST \
--url https://example.com/api/metadata/search/artists \
--header 'Content-Type: application/json' \
--data '{ "artists": [ { "name": "example", "metadata": [ { "name": "musicbrainz", "id": "example", "idType": "recording" } ] } ] }'

Gets artist results from all metadata providers using Credits with metadata. Send the header Accept: application/x-ndjson to get results as newline-delimited JSON, one line per provider as soon as it finishes: {"type":"result","service":"...","data":[...]} or {"type":"error","service":"...","error":{...}}, followed by a final {"type":"done"} line.

Media typeapplication/json
object
artists
required

A list of artist Credits

Array<object>
object
name
required
string
metadata
Array
One of:
object
name
required
string
Allowed value: musicbrainz
id
required
string
idType
string
Allowed values: recording release track artist release-group

Success